Page MenuHomePhabricator

"Copy metadata" feature does not copy custom fields
Closed, ResolvedPublic

Description

The "copy metadata" feature currently ignores custom fields added through upload campaigns like WLM. It should dynamically add those fields to the checkboxes (default-checked) when a campaign is loaded, and copy them if the user requests it.


Version: unspecified
Severity: normal

Details

Reference
bz40147

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:46 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz40147.

When I used UploadWizard all the checkboxes were default-checked, so could you explain a bit what you want to see here?

Nischay, this refers to custom fields added by the campaign feature; see https://www.mediawiki.org/wiki/Extension:UploadWizard/Campaigns

Duplicate of bug 39927?

No. These are different "custom tags". Bug 39927 describes custom licensing templates like {{PD-Art}} being entered in the license selection workflow on a per-image basis and not correctly applied across a batch. This bug describes extra fields added via an upload campaign (such as a monument identifier number for WLM) not being copied.

Can we have a list of all such "custom tags" possible?
I can only see idField and idField2 atm.

Reproduced as well.

Since the changes to the Campaigns, there can be as many fields as defined in the JSON configuration.

Basvb added a comment.Sep 1 2013, 10:51 AM

I filed bug 53637 which is a duplicate.
Info from that bug:
I did the following actions

-I upload multiple images with for example the custom
https://commons.wikimedia.org/wiki/Campaign:wlm-ua campaign on Commons.
-After using the link
https://commons.wikimedia.org/w/index.php?title=Special:UploadWizard&campaign=wlm-ua&uselang=en
and selecting 2 images I add information in the custom field for monument
identifiers. When I use the option "Copy information to all uploads below ..."
the information from the custom field isn't copied. All other information is
copied.

This seems like a bug to me.

  • Bug 53637 has been marked as a duplicate of this bug. ***

I am attempting/going to author a patch that will copy this information if the "Copy other information" checkbox is checked. I am not sure whether it is a good idea adding a 7th checkbox ("Copy campaign information"); if this is really wanted, it can be added later (I will make sure that it will be easy doing so.)

A checkbox for each single campaign field is, however, not possible unless the campaign scheme also defines a label that could be used by this checkbox.
"Copy " + fields[n].label does not work well (often longish text, starts with upper case letter, grammar, ...).

Change 83414 had a related patch set uploaded by MarkTraceur:
Copy contents of campaign fields with the copy-metadata

https://gerrit.wikimedia.org/r/83414

Change 83414 merged by jenkins-bot:
Copy contents of campaign fields on copy-metadata

https://gerrit.wikimedia.org/r/83414

Change 141197 had a related patch set uploaded by Inchikutty:
Copy contents of campaign fields on copy-metadata

https://gerrit.wikimedia.org/r/141197

Change 141197 abandoned by Alex Monk:
Copy contents of campaign fields on copy-metadata

https://gerrit.wikimedia.org/r/141197

[Restoring previous FIXED status]

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:20 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:22 AM